#
# Copyright 2017, Cypress Semiconductor Corporation or a subsidiary of 
 # Cypress Semiconductor Corporation. All Rights Reserved.
 # This software, including source code, documentation and related
 # materials ("Software"), is owned by Cypress Semiconductor Corporation
 # or one of its subsidiaries ("Cypress") and is protected by and subject to
 # worldwide patent protection (United States and foreign),
 # United States copyright laws and international treaty provisions.
 # Therefore, you may use this Software only as provided in the license
 # agreement accompanying the software package from which you
 # obtained this Software ("EULA").
 # If no EULA applies, Cypress hereby grants you a personal, non-exclusive,
 # non-transferable license to copy, modify, and compile the Software
 # source code solely for use in connection with Cypress's
 # integrated circuit products. Any reproduction, modification, translation,
 # compilation, or representation of this Software except as specified
 # above is prohibited without the express written permission of Cypress.
 #
 # Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO WARRANTY OF ANY KIND,
 # EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Cypress
 # reserves the right to make changes to the Software without notice. Cypress
 # does not assume any liability arising out of the application or use of the
 # Software or any product or circuit described in the Software. Cypress does
 # not authorize its products for use in any products where a malfunction or
 # failure of the Cypress product may reasonably be expected to result in
 # significant property damage, injury or death ("High Risk Product"). By
 # including Cypress's product in a High Risk Product, the manufacturer
 # of such system or application assumes all risk of such use and in doing
 # so agrees to indemnify Cypress against all liability.
#

NAME := Adv_SimpleCli

USE_SUSI_API := 0

ifeq ($(USE_SUSI_API),1)
$(NAME)_SOURCES := simpleCli.c \
                   IoTest.c \
                   susiAPI/susi_i2c.c \
                   susiAPI/susi_spi.c \
                   susiAPI/susi_gpio.c	\
                   susiAPI/susi_adc.c \
                   susiTest/susiI2CTest.c \
                   susiTest/susiSPITest.c \
                   susiTest/susiGpioTest.c \
                   susiTest/susiADCTest.c \
                   Peripheral/UartTest.c \
                   Peripheral/WiFiTest.c \
                   Peripheral/BTTest.c 
                   
GLOBAL_DEFINES     += USE_SUSI_API_TEST                   
else
$(NAME)_SOURCES := simpleCli.c \
                   IoTest.c \
                   Peripheral/I2CTest.c \
                   Peripheral/SPITest.c \
                   Peripheral/GpioTest.c \
                   Peripheral/ADCTest.c \
                   Peripheral/UartTest.c \
                   Peripheral/WiFiTest.c \
                   Peripheral/BTTest.c 
endif

GLOBAL_INCLUDES := . \
				   .. \
				   susiAPI \
				   susiTest \
				   
$(NAME)_COMPONENTS += daemons/bt_smartbridge	\
                      drivers/bluetooth/low_energy \
                      utilities/command_console	\
                      utilities/command_console/ping \
                      utilities/command_console/wifi \
                      utilities/wiced_log \
