#include "wiced.h"
#include "Susi4.h"
#include "susi_watchdog.h"

#define MAP_SysCtlClockGet           40000
#define MILLISECONDS_TO_TICKS(ms)    ((MAP_SysCtlClockGet) * (ms))

//	MAP_PinTypeGPIO(PIN_06, PIN_MODE_0, false);  // Device PIN_06
//  MAP_GPIODirModeSet(GPIOA1_BASE, 0x80, GPIO_DIR_MODE_IN); // Module Pin NO_06 Bit5
//  MAP_GPIOPinWrite(GPIOA1_BASE,  0x80, (unsigned char) ( 0x1 << 3 ) );

#if 0
// 	 ===============	Watchog	External	===================================
void Watchdog_ExternalEnable(void)
{
	MAP_GPIODirModeSet(GPIOA1_BASE,  0x80, GPIO_DIR_MODE_OUT);
	MAP_GPIOPinWrite(GPIOA1_BASE,  0x80, 0);
}

void Watchdog_ExternalDisable(void)
{
	MAP_GPIODirModeSet(GPIOA1_BASE,  0x80, GPIO_DIR_MODE_OUT);
	MAP_GPIOPinWrite(GPIOA1_BASE,  0x80, 0x80 );
}
#endif
// 	 ===============	Susi4	SusiWDog	===================================
/* Condition									| Return Values 
// ---------------------------------------------+------------------------------
// Library Uninitialized						| SUSI_STATUS_NOT_INITIALIZED
// pValue==NULL									| SUSI_STATUS_INVALID_PARAMETER
// Unknown Id									| SUSI_STATUS_UNSUPPORTED
// Else											| SUSI_STATUS_SUCCESS
*/
SusiStatus_t SUSI_API SusiWDogGetCaps( 
	SusiId_t Id,		/* IN	WDog Id */
	uint32_t ItemId,	/* IN	Value item Id */
	uint32_t *pValue	/* OUT	Return Value */
	)
{
	SusiStatus_t Status = SUSI_STATUS_UNSUPPORTED;
		
	return 	Status;	
}

/* Condition									| Return Values 
// ---------------------------------------------+------------------------------
// Library Uninitialized						| SUSI_STATUS_NOT_INITIALIZED
// Unknown Id									| SUSI_STATUS_UNSUPPORTED
// Running										| SUSI_STATUS_RUNNING
// Else											| SUSI_STATUS_SUCCESS
*/
SusiStatus_t SUSI_API SusiWDogStart( 
	SusiId_t Id,		/* IN	WDog Id */
	uint32_t DelayTime,	/* IN	Value delay time */
	uint32_t EventTime,	/* IN	Value event time */
	uint32_t ResetTime,	/* IN	Value reset time */
	uint32_t EventType	/* IN	Determine event type */
	)
{
	SusiStatus_t Status = SUSI_STATUS_UNSUPPORTED;
	
	switch(Id) {
		case 0:
#if 0            
			//
			// Enable the peripherals used by this example.
			//
			MAP_PRCMPeripheralClkEnable(PRCM_WDT, PRCM_RUN_MODE_CLK);

			//
			// Unlock to be able to configure the registers
			//
			MAP_WatchdogUnlock(WDT_BASE);
			//
			// Set the watchdog timer reload value
			//
			MAP_WatchdogReloadSet(WDT_BASE,MILLISECONDS_TO_TICKS(DelayTime));

			//
			// Start the timer. Once the timer is started, it cannot be disable.
			//
			MAP_WatchdogEnable(WDT_BASE);
#endif
		break;

		case 1:
			platform_watchdog_init();
			Status = SUSI_STATUS_SUCCESS;
		break;


	}

	return 	Status;	
}				

/* Condition									| Return Values 
// ---------------------------------------------+------------------------------
// Library Uninitialized						| SUSI_STATUS_NOT_INITIALIZED
// Unknown Id									| SUSI_STATUS_UNSUPPORTED
// Else											| SUSI_STATUS_SUCCESS
*/
SusiStatus_t SUSI_API SusiWDogStop( 
	SusiId_t Id		/* IN	WDog Id */
	)
{
	SusiStatus_t Status = SUSI_STATUS_UNSUPPORTED;
	return 	Status;	
}		

/* Condition									| Return Values 
// ---------------------------------------------+------------------------------
// Library Uninitialized						| SUSI_STATUS_NOT_INITIALIZED
// Unknown Id									| SUSI_STATUS_UNSUPPORTED
// Else											| SUSI_STATUS_SUCCESS
*/
SusiStatus_t SUSI_API SusiWDogTrigger( 
	SusiId_t Id		/* IN	WDog Id */
	)
{
	SusiStatus_t Status = SUSI_STATUS_UNSUPPORTED;
	
	return 	Status;			
}		

